Panda3D

Loading...
Searching...
No Matches
Functions | Variables
config_net.h File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "pandabase.h"`
`#include "notifyCategoryProxy.h"`
`#include "configVariableInt.h"`
`#include "configVariableDouble.h"`
`#include "configVariableBool.h"`
`#include "configVariableEnum.h"`
`#include "threadPriority.h"`

Go to the source code of this file.

## Functions
bool | get_net_error_abort ()
double | get_net_max_block ()
double | get_net_max_poll_cycle ()
int | get_net_max_response_queue ()
int | get_net_max_write_queue ()
EXPCL_PANDA_NET void | init_libnet ()
| Initializes the library.
std::string | make_thread_name (const std::string &thread_name, int thread_index)
| NotifyCategoryDecl (net, EXPCL_PANDA_NET, EXPTP_PANDA_NET)

## Variables
ConfigVariableInt | net_max_read_per_epoch
ConfigVariableInt | net_max_write_per_epoch
ConfigVariableEnum< ThreadPriority > | net_thread_priority

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2000-02-25

Definition in file config_net.h.

## Function Documentation

## ◆ get_net_error_abort()

bool get_net_error_abort | ( |  | ) |
| extern

Definition at line 71 of file config_net.cxx.

## ◆ get_net_max_block()

double get_net_max_block | ( |  | ) |
| extern

Definition at line 102 of file config_net.cxx.

## ◆ get_net_max_poll_cycle()

double get_net_max_poll_cycle | ( |  | ) |
| extern

Definition at line 83 of file config_net.cxx.

## ◆ get_net_max_response_queue()

int get_net_max_response_queue | ( |  | ) |
| extern

Definition at line 56 of file config_net.cxx.

## ◆ get_net_max_write_queue()

int get_net_max_write_queue | ( |  | ) |
| extern

Definition at line 42 of file config_net.cxx.

## ◆ init_libnet()

EXPCL_PANDA_NET void init_libnet | ( |  | ) |
| extern

Initializes the library.

This must be called at least once before any of the functions or classes in this library can be used. Normally it will be called by the static initializers and need not be called explicitly, but special cases exist.

Definition at line 157 of file config_net.cxx.

References PandaSystem::add_system(), and PandaSystem::get_global_ptr().

## ◆ make_thread_name()

std::string make_thread_name | ( | const std::string & | thread_name,
|  | int | thread_index )
| extern

Definition at line 123 of file config_net.cxx.